From 84f58a089b18a4f6e7e5c6fa4c2f1b7a6fa7b78f Mon Sep 17 00:00:00 2001
From: Zasurus <Zasurus@Nerds.so>
Date: Fri, 29 Mar 2013 02:16:02 +0000
Subject: [PATCH] Added a small sleep before IR Blasting to prevent issues when
 receiving and blasting straight after receiving IR command

---
 IR Server Suite/Applications/Translator/Program.cs | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/IR Server Suite/Applications/Translator/Program.cs b/IR Server Suite/Applications/Translator/Program.cs
index 4e5a5f3..2fedcbf 100644
--- a/IR Server Suite/Applications/Translator/Program.cs	
+++ b/IR Server Suite/Applications/Translator/Program.cs	
@@ -1143,6 +1143,8 @@ namespace Translator
         file.Read(outData, 4 + port.Length, (int) file.Length);
 
         IrssMessage message = new IrssMessage(MessageType.BlastIR, MessageFlags.Request, outData);
+        // Small sleep before IR Blasting to prevent issues when receiving and blasting straight after receiving IR command
+        System.Threading.Thread.Sleep(200);
         _client.Send(message);
       }
     }
@@ -1200,6 +1202,7 @@ namespace Translator
         }
         else if (command.StartsWith(Common.CmdPrefixBlast, StringComparison.OrdinalIgnoreCase))
         {
+            MessageBox.Show("Blast");
           string[] commands = Common.SplitBlastCommand(command.Substring(Common.CmdPrefixBlast.Length));
           BlastIR(Path.Combine(Common.FolderIRCommands, commands[0] + Common.FileExtensionIR), commands[1]);
         }
-- 
1.8.1.msysgit.1

